@echo off

set crc=..\..\crc1632.exe
set nocrlf=..\..\nocrlf.exe

set /P drive="What drive to create crcs? "
if exist %drive%:\nul goto l1
echo Cannot access drive %drive%:
goto :eof
:l1
set /P logf="Enter the name of the log file to store the results: "
if not exist %logf% goto l2
echo The log file %logf% already exists.
choice "Overwrite? "
if errorlevel 2 goto l1
:l2
if exist %logf% del /F /Q %logf%

:: starting here, 
:: %drive%: drive letter to walk through, 
:: %logf%: log file to write results to
echo Scanning drive %drive%:
echo Logging to %logf%

call :recurse %drive%:\ 
goto :eof

:: recursing
:recurse
echo Walking through %1
set dir=%1
for %%i in (%dir%*.*) do call :rec2 "%%~fsi"
for /D %%i in (%dir%*.*) do call :recurse "%%~fsi\"
goto :eof

:rec2
set file=%1
set file=%file:"=%
echo %file%: |%nocrlf%>>%logf%
%crc% /f%file%|%nocrlf%>>%logf%
echo :|%nocrlf%>>%logf%
%crc% /m16 /f%file%>>%logf%
goto :eof
