@echo off
:: set path of msgbox

set msgbox=%0\..\..\..\msgbox.exe

:: button values
:: MB_OK=0
:: MB_OKCANCEL=1
:: MB_ABORTRETRYIGNORE=2
:: MB_YESNOCANCEL=3
:: MB_YESNO=4
:: MB_RETRYCANCEL=5

:: icon values
:: MB_ICONHAND=16
:: MB_ICONQUESTION=32
:: MB_ICONEXCLAMATION=48
:: MB_ICONASTERISK=64

:: button results
set IDOK=1
set IDCANCEL=2
set IDABORT=3
set IDRETRY=4
set IDIGNORE=5
set IDYES=6
set IDNO=7


:: yes/no question (32+4)
%msgbox% "question" "do you want to see another message box?" 36
if errorlevel %IDNO% goto endoffile

:: ok/cancel warning (48+1)
%msgbox% "warning" "if you click the ok button, another message will appear!" 49 
if errorlevel %IDCANCEL% goto endoffile

:next0
:: three button message (abort retry ignore, error = 16+2)
%msgbox% "error" "an error occured" 18
if errorlevel %IDIGNORE% goto next1
if errorlevel %IDRETRY% goto next0
goto endoffile

:next1
%msgbox% "note" "the error has been ignored"

:: show an extended message
%msgbox% -e "information" "Hello $U,$_this message is displayed$_on $D at $T" 64

:endoffile