program nocrlf;

(*

  read from stdin, remove carriage return and linefeed and write to stdout
  (C) markus stephany, released under the terms of the GNU GPL version 2.

*)

{$IFDEF WIN32}
{$APPTYPE CONSOLE}
{$ENDIF}

{$I ..\LIB\VERSION.INC}

var
  s: string;
  i: Integer;
begin
  if ParamStr(1) = '/?' then
  begin
    writeln('nocrlf reads text from STDIN, removes linefeed and carriage return characters');
    writeln('from the text stream and writes back the stripped text to STDOUT.');
    writeln('(C) markus stephany, released under the terms of the GNU GPL.');
    writeln('nocrlf version: '+BT_VERSION);
    Halt(1);
  end;
  while not EOF do
  begin
    readln(s);
    if s <> '' then
      for i := 1 to Length(s) do
        if not (s[i] in [#13, #10]) then
          write(s[i]);
  end;
end.
