program errlv;

(*

  set errorlevel to the given parameter
  (C) markus stephany, released under the terms of the GNU GPL.

*)

{$IFDEF WIN32}
{$APPTYPE CONSOLE}
uses
  Windows;
{$ENDIF}

{$I ..\LIB\VERSION.INC}

var
  c: Integer;
{$IFDEF WIN32}
  i: int64;
{$ELSE}
  i: integer;
{$ENDIF}
begin
  Val(ParamStr(1), i,c);
  if (c <> 0) or (ParamStr(1) = '/?') or (ParamCount = 0) then
  begin
    writeln('usage: errlv <number>');
    writeln;
    writeln('sets the ERRORLEVEL to the value of <number>');
    writeln('(C) markus stephany, released under the terms of the GNU GPL.');
    writeln('errlv version: '+BT_VERSION);
    Halt(1);
  end
  else
{$IFDEF WIN32}
    ExitProcess(i);
{$ELSE}
    Halt(i);
{$ENDIF}
end.
