@echo off
:: set path of filesize

set fsize=%0\..\..\..\filesize.exe
set direx=%0\..\..\..\direxist.exe

:: drop a file or a directory to showfsize.cmd
:: and the script will show you its size (or its contents)

:: check parameter
if %1.==. (set /P FILE=Enter a filename to show the size: ) else (set FILE=%1)

:: check for directories
%direx% %FILE%
if not errorlevel 1 goto walkdir

:: single file
%fsize% %FILE%
if %errorlevel%.==-1. echo file %FILE% not found
if not %errorlevel%.==-1. echo size of %FILE%: %errorlevel% bytes
goto pa

:: walk directory
:walkdir
echo size of files in directory %FILE%\:
echo.
for %%i in (%FILE%\*.*) do call :onefile "%%i" "%%~ni%%~xi"
goto pa

:onefile
:: check if directory, if yes, skip
%direx% %1
if not errorlevel 1 goto :EOF

:: strip quotes
set file1=%2
set file1=%file1:"=%
%fsize% %1
echo %file1%: %errorlevel% bytes

goto :EOF

:pa
pause